Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client
Interface HttpRequestRetryHandler

All Known Implementing Classes:
  DefaultHttpRequestRetryHandler, StandardHttpRequestRetryHandler

    public interface HttpRequestRetryHandler

A handler for determining if an HttpRequest should be retried after a recoverable exception during execution.

Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

Since:
  4.0

Method Summary
`boolean` | `retryRequest(IOException exception, int executionCount, HttpContext context)` Determines if a method should be retried after an IOException occurs during execution.

Method Detail

### retryRequest

    boolean retryRequest(IOException exception,
                         int executionCount,
                         HttpContext context)

  Determines if a method should be retried after an IOException occurs during execution.

  Parameters:
    `exception` - the exception that occurred
    `executionCount` - the number of times this method has been unsuccessfully executed
    `context` - the context for the request execution
  Returns:
    `true` if the method should be retried, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.